Page MenuHomePhabricator

Send traffic to new maps200? servers
Closed, ResolvedPublic

Description

It seems that we have a LVS instance for kartotherian (kartotherian.svc.codfw.wmnet) between varnish servers and maps servers. We need to add new servers to its configuration.

Note: I'm still not entirely confident I understand everything around our caching / traffic routing, I might be completely wrong here....

Event Timeline

Gehel created this task.Jun 11 2016, 7:11 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 11 2016, 7:11 AM

Change 294068 had a related patch set uploaded (by Gehel):
Add new maps servers to LVS

https://gerrit.wikimedia.org/r/294068

Gehel added a comment.Jun 13 2016, 3:15 PM

Actions required to enable traffic to new servers:

  1. validate new servers are running fine
  2. merge and deploy https://gerrit.wikimedia.org/r/294068
  3. slowly pool new servers via conftool
  4. slowly depool old servers via conftool
  5. remove old servers from LVS config in puppet

Additional documentation:

Change 294068 merged by Gehel:
Add new maps servers to LVS

https://gerrit.wikimedia.org/r/294068

Mentioned in SAL [2016-06-14T20:55:38Z] <gehel> pooling maps2001 (new map server) - T137620

Mentioned in SAL [2016-06-14T21:28:35Z] <gehel> sending traffic back to old maps servers (T137620)

MaxSem closed this task as Resolved.Jun 14 2016, 10:15 PM
MaxSem claimed this task.
MaxSem added a subscriber: MaxSem.

Was done by @Gehel.